Subject: Re: summary of issues I've raised with the Alarm MIB

From: Randy Presuhn <[email-masked]>
Date: Fri, 25 Jan 2002 15:08:24 -0800 (PST)

Hi -

> Message-Id: <[email-masked]>
> Date: Fri, 25 Jan 2002 14:08:03 -0800
> To: Randy Presuhn <[email-masked]>, [email-masked]
> From: "David T. Perkins" <[email-masked]>
> Subject: Re: summary of issues I've raised with the Alarm MIB
> In-Reply-To: <[email-masked]>
...
>  From RFC 2578, end of section 7.7:
...
>    "not-accessible", except in the following circumstances:
>    ^^^^^^^^^^^^^^^^   here

*except*

...
> (2)  a conceptual row must contain at least one columnar object which is
>      not an auxiliary object.  In the event that all of a conceptual
>      row's columnar objects are also specified in its INDEX clause, then
>      one of them must be accessible, i.e., have a MAX-ACCESS clause of
>      "read-only". (Note that this situation does not arise for a
>      conceptual row allowing create access, since such a row will have a
>      status column which will not be an auxiliary object.)
...

I had understood exception (2) as potentially permitting
an "accessible-for-notify".

 ------------------------------------------------------
 Randy Presuhn          BMC Software, Inc.  1-3141
 [email-masked]  2141 North First Street
 Tel: +1 408 546-1006   San José, California 95131  USA
 ------------------------------------------------------
 My opinions and BMC's are independent variables.
 ------------------------------------------------------

---

From: "David T. Perkins" <[email-masked]>
Date: Fri, 25 Jan 2002 16:36:41 -0800

HI,

On the below...

Exception 2 says that in the special case, you can make the column
"read-only". I don't see how you got "accessible-for-notify" out
of it.

>an "accessible-for-notify".
Regards,
/david t. perkins